# SoDecomposeVec3f Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoDecomposeVec3f:

List of all members.

## Detailed Description

The SoDecomposeVec3f class is used to decompose 3D vectors into three floats.

## Public Attributes

SoMFVec3f | vector
SoEngineOutput | x
SoEngineOutput | y
SoEngineOutput | z

## Member Data Documentation

SoMFVec3f SoDecomposeVec3f::vector

| Set of input vectors to be decomposed into their coordinate elements.

SoEngineOutput SoDecomposeVec3f::x

| (SoMFFloat) First coordinates of the input vectors.

SoEngineOutput SoDecomposeVec3f::y

| (SoMFFloat) Second coordinates of the input vectors.

SoEngineOutput SoDecomposeVec3f::z

| (SoMFFloat) Third coordinates of the input vectors.

The documentation for this class was generated from the following files:

- SoDecomposeVec3f.h
- SoDecomposeVec3f.cpp